Create model
curl --request POST \
--url https://api.galtea.ai/models \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "model_123",
"organizationId": "org_123",
"userId": "user_123",
"name": "GPT-4",
"inputCostPerToken": 0.00001,
"outputCostPerToken": 0.00003,
"cacheReadInputTokenCost": 0.000005,
"cacheCreationInputTokenCost": 0.000015,
"inputCostPerTokenAbove128kTokens": 0.00002,
"outputCostPerTokenAbove128kTokens": 0.00006,
"tokenizerProvider": "OPENAI",
"source": "PREDEFINED",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.galtea.ai/models"
payload = {
"id": "model_123",
"organizationId": "org_123",
"userId": "user_123",
"name": "GPT-4",
"inputCostPerToken": 0.00001,
"outputCostPerToken": 0.00003,
"cacheReadInputTokenCost": 0.000005,
"cacheCreationInputTokenCost": 0.000015,
"inputCostPerTokenAbove128kTokens": 0.00002,
"outputCostPerTokenAbove128kTokens": 0.00006,
"tokenizerProvider": "OPENAI",
"source": "PREDEFINED",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'model_123',
organizationId: 'org_123',
userId: 'user_123',
name: 'GPT-4',
inputCostPerToken: 0.00001,
outputCostPerToken: 0.00003,
cacheReadInputTokenCost: 0.000005,
cacheCreationInputTokenCost: 0.000015,
inputCostPerTokenAbove128kTokens: 0.00002,
outputCostPerTokenAbove128kTokens: 0.00006,
tokenizerProvider: 'OPENAI',
source: 'PREDEFINED',
createdAt: '2023-11-07T05:31:56Z',
deletedAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.galtea.ai/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "model_123",
"organizationId": "org_123",
"userId": "user_123",
"name": "GPT-4",
"inputCostPerToken": 0.00001,
"outputCostPerToken": 0.00003,
"cacheReadInputTokenCost": 0.000005,
"cacheCreationInputTokenCost": 0.000015,
"inputCostPerTokenAbove128kTokens": 0.00002,
"outputCostPerTokenAbove128kTokens": 0.00006,
"tokenizerProvider": "OPENAI",
"source": "PREDEFINED",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
}{
"error": "Error type",
"message": "Error message description"
}Create model
Create a new model. See Models.
POST
/
models
Create model
Authorizations
API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....
Body
application/json
Example:
"model_123"
Example:
"org_123"
Example:
"user_123"
Example:
"GPT-4"
Example:
0.00001
Example:
0.00003
Example:
0.000005
Example:
0.000015
Example:
0.00002
Example:
0.00006
Example:
"OPENAI"
Available options:
PREDEFINED, CUSTOM Example:
"PREDEFINED"
Response
Model created successfully
Example:
"model_123"
Example:
"org_123"
Example:
"user_123"
Example:
"GPT-4"
Example:
0.00001
Example:
0.00003
Example:
0.000005
Example:
0.000015
Example:
0.00002
Example:
0.00006
Example:
"OPENAI"
Available options:
PREDEFINED, CUSTOM Example:
"PREDEFINED"
⌘I